## ŒPARENT Base (parent) class

Implemented for Internal and External classes. Not implemented for System classes.

Syntax:

classref „ objref.ŒPARENT
classref „ classref.ŒPARENT
classref „ ŒPARENT (Within user-defined method, same as ŒTHIS.ŒPARENT)

The niladic system method ŒPARENT returns a reference to the parent class of either an object, or a class. The result is always a class reference, or the Null object if there is no parent. It is a synonym for ŒBASE.

Topic: APLX Help : Help on APL language : System Methods : ŒPARENT Base (parent) class

[ Previous | Next | Contents | Index ]